Creates a new task status
Request Information
URI Parameters :
None.
Body Parameters :
task_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task status (Created,Closed) |
string |
Required Max length: 255 |
| description |
Description of the task status |
string |
Required Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| is_closed |
Set this task_status as a CLOSED status (task will be archived) |
boolean | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
Request Formats :
application/json, text/json
{
"id": "a89311ae-c9bc-4abd-ad2c-4aaba7baeca5",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"is_closed": true,
"only_for_e_service": true,
"sales_organization_id": "c116d596-f711-4d76-9349-562b71f485d2",
"sales_organization_code": "sample string 8",
"reference_back_office": "sample string 9"
}
Response Information
Resource Description :
IHttpActionResult
task_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task status (Created,Closed) |
string |
Required Max length: 255 |
| description |
Description of the task status |
string |
Required Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| is_closed |
Set this task_status as a CLOSED status (task will be archived) |
boolean | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
Response Formats
application/json, text/json
{
"id": "7da140dc-ef1d-491d-83c7-0d82089639f6",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"is_closed": true,
"only_for_e_service": true,
"sales_organization_id": "7b63fed3-018a-4114-8cfd-e622a01fd04f",
"sales_organization_code": "sample string 8",
"reference_back_office": "sample string 9"
}